Support » Plugin: WP Bitly » [Plugin: WP Bit.ly] not possible to activate: Fatal error: Cannot redeclare wpbitly_get_shortlink().

  • Resolved TechAdmin-IMCOnAir

    (@techadmin-imconair)


    cannot activate this plugin. get following message (using WP 2.8.6):
    —-
    Fatal error: “Cannot redeclare wpbitly_get_shortlink() (previously declared in /home/…/wp-content/plugins/wp-bitly/wp-bitly.php:192) in /home/…/wp-content/plugins”

Viewing 1 replies (of 1 total)
  • Plugin Author Mark Waterous

    (@delayedinsanity)

    There are two ways to fix this bug; the first is recommended as it will avoid future conflicts with other plugins as well as provide you with a more secure platform to run your site on.

    1) Upgrade WordPress! Version 3.0.1 is out, and work has begun on 3.1 — you are putting yourself at risk running an older version of WordPress, especially as old as 2.8.6 which was released over a year ago now. This will not only fix the bug you are experiencing with my plugin, but will set you up to receive additional important updates and ensure that you do not run into any problems with other plugins.

    2) There is a little less legacy support than I originally thought built into the plugin. You will have to wait a couple days while I write a few bug fixes, as the conflict extends to the options page as well. If you’re in a rush, option 1 is your best bet.

Viewing 1 replies (of 1 total)
  • The topic ‘[Plugin: WP Bit.ly] not possible to activate: Fatal error: Cannot redeclare wpbitly_get_shortlink().’ is closed to new replies.